Windows用インストーラでRTSystemEditorRCPはマージモジュールを組込むように修正する
2015/02/10 16:45 - n.kawauchi

ステータス: 終了 開始日: 2014/12/19

優先度: 通常 期日:  

担当者: n.kawauchi 進捗率: 100%

カテゴリ:  予定工数: 0.00時間

対象バージョン:    

説明

RTSystemEditorRCPのマージモジュール(msm)は、
別環境でインストーラのバージョン（32bit、64bit）に対応した生成済みのものを利用する
C++, Python, Java の各言語用インストーラが同じマージモジュールを組込む

64bit用インストーラ生成時、インストール先が C:\Program Files\OpenRTM-aist となるように修正する

関係しているリビジョン
リビジョン 601 - 2014/12/19 11:58 - kawauchi

[compat, installer] Setting for 64bit msi generation has been changed. RTSystemEditorRCP has been changed to use the merge module.

履歴
#1 - 2015/02/10 16:51 - n.kawauchi

- ステータス を 新規 から 解決 に変更

- 進捗率 を 0 から 100 に変更

RTSystemEditorRCPのマージモジュールファイルは、現在のところ下記にアップしている
http://openrtm.org/pub/Windows/OpenRTM-aist/tools/msm/
　　・RTSystemEditorRCP_x86_64.msm
　　・RTSystemEditorRCP_x86.msm
このマージモジュールをOpenRTM-aist-Python/installerディレクトリにダウンロードしてからmsiを生成するようにスクリプトで指定する

32bit用msi生成時の指定

set�ARCH=x86
call�cleanup.cmd
del�*.msm
set�URL=http://openrtm.org/pub/Windows/OpenRTM-aist/tools/msm/RTSystemEditorRCP_%ARCH%.msm
C:\Cygwin64\bin\wget.exe�%URL%

call�build.cmd

#2 - 2015/06/05 14:32 - n-ando
http://openrtm.org/pub/Windows/OpenRTM-aist/tools/msm/


- ステータス を 解決 から 終了 に変更

Powered by TCPDF (www.tcpdf.org)

2024/04/20 2/2

http://www.tcpdf.org

